Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon.expr
Class XPathException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.xml.transform.TransformerException
                        |
                        +--com.icl.saxon.expr.XPathException

All Implemented Interfaces:
  java.io.Serializable

public class XPathException
extends javax.xml.transform.TransformerException

XPathException is used to indicate an error in an XPath expression. We don't distinguish compile-time errors from run-time errors because there are too many overlaps, e.g. constant expressions can be evaluated at compile-time, and expressions can be optimised either at compile-time or at run-time.

See Also:
  Serialized Form

Constructor Summary
`XPathException(java.lang.Exception err)`
`XPathException(java.lang.String message)`
`XPathException(java.lang.String message, java.lang.Exception err)`

Methods inherited from class javax.xml.transform.TransformerException
`getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPathException

    public XPathException(java.lang.String message)

### XPathException

    public XPathException(java.lang.Exception err)

### XPathException

    public XPathException(java.lang.String message,
                          java.lang.Exception err)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD